The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Sensor Status

Prev Next

This URL gets the Sensor status (Active/Disconnected).

Resource URL

GET /sensor/<sensor_id>/status

Request Parameters

Field Name Description Data Type Mandatory
sensor_id Sensor Id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Sensor status, can be “ACTIVE”/”DISCONNECTED” String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/sensor/1001/status

Response

{
"status": "ACTIVE"
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor